@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/static/pretendard.min.css");

body {
  zoom: 0.7;
  font-family: 'Pretendard', sans-serif;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

img {
    image-rendering: pixelated;
    image-rendering: crisp-edges;
    object-fit: contain;
}


#altar-items-area input[type="number"], 
#altar-items-area input[type="text"] {
    border-radius: 0.5rem !important;
    border: 1px solid rgba(229, 231, 235, 1) !important;
    background-color: #f9fafb !important;
    padding: 0.25rem 0.5rem !important;
    font-weight: 600 !important;
    transition: all 0.2s ease;
}

#altar-items-area input[type="number"]:focus,
#altar-items-area input[type="text"]:focus {
    border-color: #3b82f6 !important;
    box-shadow: 0 0 0 2px rgba(59, 130, 246, 0.2) !important;
    outline: none;
}

.dark #altar-items-area input[type="number"],
.dark #altar-items-area input[type="text"] {
    border-color: rgba(75, 85, 99, 1) !important;
    background-color: rgba(17, 24, 39, 1) !important;
    color: white !important;
}